PETSc version 3.15.5
Fix/Edit manual page

# PetscMallocPushMaximumUsage

Adds another event to collect the maximum memory usage over an event

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocPushMaximumUsage(int event)

Not Collective

### Input Parameter

| event | - an event id; this is just for error checking

### See Also

PetscMallocDump(), PetscMallocView(), PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(),
PetscMallocPopMaximumUsage()

### Level

developer

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages